--- config.guess
+++ config.guess
@@ -789,7 +789,7 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit 0 ;;
-    x86:Interix*:[34]*)
+    x86:Interix*:[3-6]*)
 	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
 	exit 0 ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
--- configure.in
+++ configure.in
@@ -987,7 +987,7 @@
 		test_cups=no
 		_os=GNU
 		;;
-	cygwin*) # Windows
+	cygwin*|interix*) # Windows
 		test_cups=no
 		test_cairo=yes
 		test_freetype=no
